From 9505d73afd9e38dfeae5dbe08bce41d71a57c0b7 Mon Sep 17 00:00:00 2001
From: Takuma Fujiwara <t-fujiwara1@ti.com>
Date: Fri, 3 Nov 2023 10:56:48 -0500
Subject: [PATCH] DTS changes for internal PCIe refclk needed on top of patches
 from
 https://e2e.ti.com/support/processors-group/processors/f/processors-forum/1004565/faq-tda4vm-tda4vm-dra829v-routing-pcie-reference-clock-externally

---
 .../dts/ti/k3-j721e-common-proc-board.dts     | 64 ++++++++++---------
 1 file changed, 33 insertions(+), 31 deletions(-)

diff --git a/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts b/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts
index c0d32b806..5585293a3 100644
--- a/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts
+++ b/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts
@@ -915,37 +915,39 @@ &mcasp11 {
 &cmn_refclk1 {
 	clock-frequency = <100000000>;
 };
-
-&wiz0_pll1_refclk {
-	assigned-clocks = <&wiz0_pll1_refclk>;
-	assigned-clock-parents = <&cmn_refclk1>;
-};
-
-&wiz0_refclk_dig {
-	assigned-clocks = <&wiz0_refclk_dig>;
-	assigned-clock-parents = <&cmn_refclk1>;
-};
-
-&wiz1_pll1_refclk {
-	assigned-clocks = <&wiz1_pll1_refclk>;
-	assigned-clock-parents = <&cmn_refclk1>;
-};
-
-&wiz1_refclk_dig {
-	assigned-clocks = <&wiz1_refclk_dig>;
-	assigned-clock-parents = <&cmn_refclk1>;
-};
-
-&wiz2_pll1_refclk {
-	assigned-clocks = <&wiz2_pll1_refclk>;
-	assigned-clock-parents = <&cmn_refclk1>;
-};
-
-&wiz2_refclk_dig {
-	assigned-clocks = <&wiz2_refclk_dig>;
-	assigned-clock-parents = <&cmn_refclk1>;
-};
-
+/*
+ * Comment out wiz* clock settings as default clock settings for core_ref_clk are defined in k3-j721e-main.dtsi.
+ *
+ * &wiz0_pll1_refclk {
+ * 	assigned-clocks = <&wiz0_pll1_refclk>;
+ * 	assigned-clock-parents = <&cmn_refclk1>;
+ * };
+ *
+ * &wiz0_refclk_dig {
+ * 	assigned-clocks = <&wiz0_refclk_dig>;
+ * 	assigned-clock-parents = <&cmn_refclk1>;
+ * };
+ *
+ * &wiz1_pll1_refclk {
+ * 	assigned-clocks = <&wiz1_pll1_refclk>;
+ * 	assigned-clock-parents = <&cmn_refclk1>;
+ * };
+ *
+ * &wiz1_refclk_dig {
+ * 	assigned-clocks = <&wiz1_refclk_dig>;
+ * 	assigned-clock-parents = <&cmn_refclk1>;
+ * };
+ *
+ * &wiz2_pll1_refclk {
+ * 	assigned-clocks = <&wiz2_pll1_refclk>;
+ * 	assigned-clock-parents = <&cmn_refclk1>;
+ * };
+ *
+ * &wiz2_refclk_dig {
+ * 	assigned-clocks = <&wiz2_refclk_dig>;
+ * 	assigned-clock-parents = <&cmn_refclk1>;
+ * };
+ */
 &serdes0 {
 	assigned-clocks = <&serdes0 CDNS_SIERRA_PLL_CMNLC>;
 	assigned-clock-parents = <&wiz0_pll1_refclk>;
-- 
2.34.1

